package com.stellvoy.api.client.auth;

import com.stellvoy.api.dto.auth.RoleDTO;
import com.stellvoy.api.dto.user.LoginFormDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@FeignClient("auth-service")
public interface AuthClient {

    @GetMapping("/roles/{id}")
    RoleDTO queryRoleById(@PathVariable("id") Long id);

    @GetMapping("/roles/list")
    List<RoleDTO> listAllRoles();

    @PostMapping("/accounts/login")
    String loginByPw(@RequestBody LoginFormDTO loginFormDTO);
}
