package com.stellvoy.task.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("task")
public class TaskEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(value = "id")
    private Long id;
    private String taskName; // 项目名称
    private String taskDescription; // 项目描述
    private LocalDateTime createTime; // 项目创建时间
    private LocalDateTime endTime; // 项目完成时间
    private LocalDateTime updateTime; // 项目修改时间，分派时间
    private String projectCycle; // 项目周期
    private Long createId; // 创建人id
    private String createName; // 创建人姓名
    private Long number; // 所需人数
    private Long recruitedNumber; // 已招券人数
    private Long status; // 项目招募状态: 1，招募中；2，已完成招募；3,已完结
    private String image; // 推送项目显示图
    private Double taskRate; // 项目单价（元/条）
    private String requirementType; // 需求类型
    private LocalDateTime feedBack; // 报名反馈
    private String code; // 工会二维码
    private LocalDateTime applicationDeadline; // 报名截止时间
    private Long totalWorkload; // 项目总量
    private LocalDateTime beginTime;//项目开始时间
    private Integer statusDel;//项目状态：0，启用；1，禁用；

}
