package com.stellvoy.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.stellvoy.api.dto.user.LoginFormDTO;
import com.stellvoy.common.domain.dto.LoginUserDTO;
import com.stellvoy.user.domain.dto.*;
import com.stellvoy.user.domain.po.User;

import java.io.UnsupportedEncodingException;

/**
 * <p>
 * 学员用户表 服务类
 * </p>
 */
public interface IUserService extends IService<User> {
    LoginUserDTO queryUserDetail(LoginFormDTO loginDTO, boolean isStaff);

    User phoneRegister(UserRegisterDTO dto);

    void verifyCode(VerifyCodeDTO dto, Long userId);

    void updatePassword(UpdatePasswordDTO dto, Long userId);

    void updateEmail(UpdateEmailDTO dto, Long userId);

    UserTaskDTO getStats(Long userId);

    WeChatDTO wechatLogin() throws UnsupportedEncodingException;

    void wechatCallback(String code, String state);

    CheckLoginDTO checkLoginStatus(String state);

    void weChatVerifyCode(WeChatVerifyCodeDTO dto, Long userId);
}
